<?php

namespace App\Http\Livewire\Traits;

trait HasProprietari{
    public $currentProprietario;
    public $currentCoproprietario;
    public $data_proprietari;
    public $data_coproprietari;

    public $nazionalita;
    public $anag_foreign_residence_country;
    public $anag_foreign_residence_city;

    public function addProprietario(){
        $this->resetAnagrafica();
        $this->currentProprietario = 99;
        $this->emit('load-anagrafica-modal');
    }

    public function addCoproprietario(){
        $this->resetAnagrafica();
        $this->currentCoproprietario = 99;
        $this->emit('load-anagrafica-modal');
    }

    public function removeProprietario(){
        $this->data_proprietari = 0;
        $this->emit('add-default-value', $this->data_proprietari, '', 'data_proprietari');
    }

    public function removeCoproprietario(){
        $this->data_coproprietari = 0;
        $this->emit('add-default-value', $this->data_coproprietari, '', 'data_coproprietari');
    }

    public function editProprietario(){
        $this->currentProprietario = $this->data_proprietari;
        $this->editAnagrafica($this->data_proprietari);
        $this->emit('load-anagrafica-modal');
    }

    public function editCoproprietario(){
        $this->currentCoproprietario = $this->data_coproprietari;
        $this->editAnagrafica($this->data_coproprietari);
        $this->emit('load-anagrafica-modal');
    }
}
